=== src/widgets/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# SPDX-FileCopyrightText: 2015-2023 Laurent Montel <montel@kde.org>
+# SPDX-FileCopyrightText: 2015-2024 Laurent Montel <montel@kde.org>
 # SPDX-License-Identifier: BSD-3-Clause
 include_directories(${CMAKE_BINARY_DIR})
 
@@ -47,21 +47,20 @@
     kdeapplicationlistviewdelegate.cpp
     )
 
-if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
+if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
     set_target_properties(libkdebugsettings PROPERTIES UNITY_BUILD ON)
 endif()
 generate_export_header(libkdebugsettings BASE_NAME libkdebugsettings)
 target_link_libraries(libkdebugsettings
     Qt::Core
-    KF${KF_MAJOR_VERSION}::Completion
-    KF${KF_MAJOR_VERSION}::ConfigCore
-    KF${KF_MAJOR_VERSION}::CoreAddons
-    KF${KF_MAJOR_VERSION}::I18n
+    KF6::Completion
+    KF6::ConfigCore
+    KF6::CoreAddons
+    KF6::I18n
     Qt::Widgets
-    KF${KF_MAJOR_VERSION}::WidgetsAddons
-    KF${KF_MAJOR_VERSION}::ItemViews
-    KF${KF_MAJOR_VERSION}::ConfigGui
-    KF${KF_MAJOR_VERSION}::XmlGui
+    KF6::WidgetsAddons
+    KF6::ConfigGui
+    KF6::XmlGui
     libkdebugsettingscore
 )
 
@@ -71,7 +70,7 @@
 
 install(TARGETS libkdebugsettings ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)
 
-if (BUILD_TESTING)
+if(BUILD_TESTING)
     add_subdirectory( autotests )
     add_subdirectory( tests )
 endif()
