=== debian/changelog ===
kdebugsettings (25.04.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Mark test suite as failing on s390x.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 04 May 2025 18:30:35 +0200

kdebugsettings (25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.
  * Update project homepage.
  * Remove inactive uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 18:59:58 +0200
