## kdebugsettings 25.07.90

=== debian/changelog ===
kdebugsettings (25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:42:27 +0100
