## kdebugsettings 25.08.1+p24.04+vstable+git20250912.2128

=== debian/changelog ===
kdebugsettings (25.08.1+p24.04+vstable+git20250912.2128-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 12 Sep 2025 21:28:17 +0000
